
/**
 * Declare this plugin as one that the user can configure.
 * @param defconf Default configuration
 */
export function Configurable(defconf: any): (...arg: any[]) => any {
  return (constructor: (...arg: any[]) => any): void => {
    constructor.prototype.__defconf = defconf;
  };
}
