
/**
 * Declare this plugin as one that utilises services.
 * @param servtype Service class, usually a Protocol
 */
export function InjectService(servtype: any): (...arg: any[]) => any {
  return (constructor: (...arg: any[]) => any): void => {
    constructor.prototype.__service = servtype;
  };
}
